: InvlFire.mod  The NEURON Book pp. 309- 310

NEURON {
    ARTIFICIAL_CELL IntervalFire  : name of the module
    RANGE tau, m, invl            : accessible variables 
}
PARAMETER {
    tau  = 5 (ms)   <1e-9,1e9>
    invl = 10 (ms) <1e-9,1e9>
}
ASSIGNED {                        : non-accessible variables   
    m
    minf
    t0 (ms)
}
INITIAL {
    minf = 1/(1 - exp(-invl/tau)) : so natural spike interval is invl
    m = 0
    t0 = 0
    net_send(firetime(), 1)       : set a self-event  
                                  : after time period of firetime()
}
NET_RECEIVE (w) {
    m = M()
    t0 = t
    if (flag == 0) {              : *** event triggered by others ***
        m = m + w
        if (m > 1) {
            m = 0
            net_event(t)          : issue event
        }
        net_move(t+firetime())    : move the next event to t + firetime()
    }else{                        : *** self-triggered event ***          
        net_event(t)              : issue event  
        m = 0
        net_send(firetime(), 1)   : next self-event 
    }
}
FUNCTION firetime()(ms) {         : m < 1 and minf > 1
    firetime = tau*log((minf-m)/(minf - 1))
}
FUNCTION M() {                    : to monitor m-value    
    M = minf + (m - minf)*exp(-(t - t0)/tau)
}
