# n14.py

import numpy as np
import neuron
from neuron import h
import matplotlib.pyplot as plt

tstop = 40.0

soma = h.Section()
soma.insert('m01')

cvode = h.CVode()
cvode.active(1)
cvode.atol(1.0e-5)

tv = h.Vector()
zv = h.Vector()
tv.record(h._ref_t)
zv.record(soma(0.5)._ref_z_m01)

h.finitialize()
#h.fcurrent()
neuron.run(tstop)

ax = plt.subplot()
ax.plot(tv.as_numpy(), zv.as_numpy())
plt.xlabel('Time')
plt.ylabel('Z')
plt.savefig('../figs/n14.pdf')  
plt.show()
