# n19a.py
 
import neuron
from neuron import h
import numpy as np
import matplotlib.pyplot as plt

class InvlFire(object):	
    def __init__(self):
        self.cell = h.Section()
        self.IF = h.IntervalFire(0.5, sec=self.cell)
        self.IF.tau  = 5.0
        self.IF.invl = 10.0
        self.synlist = h.List()

tstop = 100.0
h.dt = 0.1

ce = InvlFire()

# external stimulation
stim = h.NetStim()
stim.number = 40
stim.start = 25
stim.interval = 1

ncstim = h.NetCon(stim, ce.IF)
ncstim.delay= 0
ncstim.weight[0] = 0.07

# record for spikes
stvec = h.Vector( )
nc = h.NetCon(ce.IF, None)
nc.record(stvec)

# run control
h.finitialize()
neuron.run(tstop)

f,ax = plt.subplots()
ax.eventplot(stvec.as_numpy())
plt.savefig('../figs/n17.pdf')  
plt.show()
